/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#ifndef H_CPU_H
#define H_CPU_H


#include "bits.h"

byte* ref8(word seg, word off);
word* address_word(byte mod, byte rm);
byte* address_byte(byte mod, byte rm);
word modrm_to_off(byte mod, byte rm);
void decode_modrm(byte modrm, byte* mod, byte* mid3, byte* rm);
void cpu_set_io_in_func(dword (*func)(word));
void cpu_set_io_out_func(void (*func)(word, word));
void cpu_reset(void);
void cpu_fetch(void);
void cpu_execute(void);
void cpu_dump_state(void);
word cpu_get_ip(void);
word cpu_get_cs(void);
byte cpu_is_halted(void);
void cpu_set_cs(word w);
void cpu_set_ip(word w);


#endif /* H_CPU_H */
