/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#ifndef H_DISKETTE_H
#define H_DISKETTE_H

#define DISKETTE_MAX 2U  /* max number of drives */

int diskette_insert(char* path, byte drive, byte ro);
int diskette_reset(byte drive);
int diskette_read(byte cylinder, byte head, byte sector, byte count,
                  byte drive, word to_seg, word to_off);
int diskette_write(byte cylinder, byte head, byte sector,
                   byte count, byte drive, word from_seg, word from_off);
int diskette_format(byte cylinder, byte head, byte sector, byte count,
                    byte drive, word buf_seg, word buf_off);
int diskette_verify(byte cylinder, byte head, byte sector, byte count,
                    byte drive);
void diskette_init(byte drives);
void diskette_dump_state(void);
void diskette_eject(byte drive);

#endif /* H_DISKETTE_H */
