/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#ifndef H_MDA_H
#define H_MDA_H
#include "bits.h"

void mda_refresh(int force);
void mda_init(byte* vram_ptr);
void mda_set_register_value(byte val);
void mda_select_register(byte which);
byte mda_get_register_value(void);
void mda_dump_state(void);
byte mda_get_status(void);
void mda_set_mode_control(byte b);
byte mda_get_mode_control(void);

#endif /* H_MDA_H */
