/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

/* TODO use custom functions instead of relying on libc garbage */

#include <errno.h>
#include <inttypes.h>
#include <stdlib.h>
#include <string.h>

#include "bits.h"

int strtou32(const char* s, dword* out) {
    char* endptr = NULL;
    intmax_t tmp = 0;
    if (!s) {
        return -1;
    }
    errno = 0;
    tmp = strtoimax(s, &endptr, 0);
    if (errno || *endptr || endptr == s
            || tmp > UINT32_MAX || tmp < 0) {
        return -1;
    }
    *out = (dword)tmp;
    return 0;
}

int strtou8(const char* s, byte* out) {
    char* endptr = NULL;
    intmax_t tmp = 0;
    if (!s) {
        return -1;
    }
    errno = 0;
    tmp = strtoimax(s, &endptr, 0);
    if (errno || *endptr || endptr == s
            || tmp > UINT8_MAX || tmp < 0) {
        return -1;
    }
    *out = (byte)tmp;
    return 0;
}
