/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

#ifndef H_TERM_H
#define H_TERM_H

#include "bits.h"

/* scancode unused by emulation, this activates the debugger. */
#define MAGIC_DEBUG_KEY 0xfe

/* reset cursor to the top-left of the screen. */
#define ESC_RESET_CURSOR "\033[H"
/* clear the whole display but do not move the cursor */
#define ESC_CLEAR "\033[2J"
/* enable underline */
#define ESC_UNDERLINE "\033[21m"
/* enable reverse video */
#define ESC_REVERSE_VIDEO "\033[7m"
/* enable blink */
#define ESC_BLINK "\033[5m"
/* enable bold */
#define ESC_BOLD "\033[1m"
/* reset attributes */
#define ESC_RESET_ATTRS "\033[0m"

int term_next_key(void); /* next scancode. or -1 if none available */
void term_reset(void);
void term_set_raw(void);
void term_init(void);
void term_set_cursor(byte row, byte col);

#endif /* H_TERM_H */
