/*
This file is part of LazyPC.
Written by Taylor Gurney, 2022-2024.
Public domain.
*/

/* for clock_gettime */
#ifndef H_TIMER_H
#define H_TIMER_H

#include "bits.h"

/* (105/88) MHz */
#define I8253_BASE_FREQ_NS 1193

void timer_init(void);
byte timer_read(byte which);
void timer_set_maxval(byte which, byte maxval);
void timer_dump_state(void);
void timer_set_mode(byte mode);
byte timer_poll_timer_0(void);
void timer_refresh(void);

#endif /* H_TIMER_H */
